Get a payment
curl --request GET \
--url https://api.pay.walletconnect.com/v1/gateway/payment/{id} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": {
"display": {
"assetName": "USD Coin",
"assetSymbol": "USDC",
"decimals": 6,
"iconUrl": "https://assets.walletconnect.com/usdc.png",
"networkIconUrl": "https://assets.walletconnect.com/base.png",
"networkName": "Base"
},
"unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
"value": "1000000"
},
"buyer": {
"accountCaip10": "eip155:1:0x0000000000000000000000000000000000000000",
"accountProviderIcon": "https://example.com/icon.png",
"accountProviderName": "Wallet"
},
"expiresAt": 1700000000,
"merchant": {
"iconUrl": "https://example.com/icon.png",
"name": "Merchant"
},
"status": "requires_action"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Gateway
Get a payment
This endpoint returns only basic information to display to the user to begin the payment flow.
GET
/
v1
/
gateway
/
payment
/
{id}
Get a payment
Authorizations
API KeyApiKeyAppId
Headers
Path Parameters
Payment ID
Example:
"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"
Response
Payment status retrieved successfully
Show child attributes
Show child attributes
Example:
{
"display": {
"assetName": "USD Coin",
"assetSymbol": "USDC",
"decimals": 6,
"iconUrl": "https://assets.walletconnect.com/usdc.png",
"networkIconUrl": "https://assets.walletconnect.com/base.png",
"networkName": "Base"
},
"unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
"value": "1000000"
}
Required range:
x >= 0Show child attributes
Show child attributes
Example:
{
"iconUrl": "https://example.com/icon.png",
"name": "Merchant"
}
Payment status representing the lifecycle of a payment.
Payments progress through these states from creation to terminal status. Some states are specific to the payment source (pull vs push).
Available options:
requires_action, processing, succeeded, failed, expired, cancelled Show child attributes
Show child attributes
Example:
{
"accountCaip10": "eip155:1:0x0000000000000000000000000000000000000000",
"accountProviderIcon": "https://example.com/icon.png",
"accountProviderName": "Wallet"
}
⌘I